<template>
    <form class="container" v-on:submit.prevent="submit()">
        <div class="col-12">
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Chiffre D'affaire
                            <span>*</span>
                        </label>
                        <input class="form-control" type="number" name="name" v-model="treso.ca" required>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Compte Banquaire
                            <span>*</span>
                        </label>
                        <input class="form-control" type="number" name="phone" v-model="treso.cb" required>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <div class="form-group">
                        <label>Facture Payee
                            <span>*</span>
                        </label>
                         <input class="form-control" type="number" name="company" v-model="treso.fp" required>
                   
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Facture A Payee
                            <span>*</span></label>
                        <input class="form-control" type="number" name="email" v-model="treso.fap" required>
                    </div>
                </div>
                <div class="col-12">
                    <div class="form-group">
                        <button class="btn btn-primary" type="submit"> Sauvegarder </button>
                        <button class="btn btn-secondary" type="button" v-on:click="retour()"> Retour </button>
                        <button class="btn btn-danger" type="button" v-on:click="remove()"> Supprimer </button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
export default {
    props: ['treso'],
    methods: {
        submit: function () {
            this.$emit("submit");
        },
        retour: function () {
            this.$emit("back");
        },
        remove: function () {
            this.$emit("remove");
        }
    },
}
</script>

<style scoped>
span {
    color: red;
}
</style>
